<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Wed Mar 13 11:46:20 CET 2019 -->
<title>UniqueNumbersTest</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2019-03-13">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UniqueNumbersTest";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UniqueNumbersTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hr.fer.zemris.java.hw01</a></div>
<h2 title="Class UniqueNumbersTest" class="title">Class UniqueNumbersTest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hr.fer.zemris.java.hw01.UniqueNumbersTest</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">UniqueNumbersTest</span>
extends java.lang.Object</pre>
<div class="block">Test class <code>UniqueNumbersTest</code> test functionality of <code>addNode</code>, <code>treeSize</code>, <code>containsValue</code>, <code>getNodesAscending</code> and <code>getNodesDescendingFromAscending</code> methods
 from  <code>UniqueNumbers</code> class.
 
 The test cases cover specific cases of a tree (empty tree, one element in a tree, more elements in a tree - two subcases: when there are duplicate values in input and where there are all unique elements in input).
 In case of any input, the resulting tree has to have unique numbers.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Leo Plese</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#node">node</a></span></code></th>
<td class="colLast">
<div class="block">tree's head node used in tests for further tree creation</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">UniqueNumbersTest</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#assertContainsValues()">assertContainsValues</a></span>()</code></th>
<td class="colLast">
<div class="block">Method called after filling the tree with more than one value in <code>filledTreeWithInputDuplicatesContainsValue</code> and <code>filledTreeWithoutInputDuplicatesContainsValue</code> to assert the statements which must be true.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#assertNodeValuesAsExpected()">assertNodeValuesAsExpected</a></span>()</code></th>
<td class="colLast">
<div class="block">Method called after filling the tree with more than one value in <code>filledTreeWithInputDuplicatesAddedToTree</code> and <code>filledTreeWithoutInputDuplicatesAddedToTree</code> to assert the statements which must be true.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#emptyTreeContainsValue()">emptyTreeContainsValue</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.containsValue</code> method given an empty tree.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#emptyTreeGetNodesAscending()">emptyTreeGetNodesAscending</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.getNodesAscending</code> method given an empty tree.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#emptyTreeGetNodesDescendingFromAscending()">emptyTreeGetNodesDescendingFromAscending</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.getNodesDescending</code> method given an empty tree.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#emptyTreeSize()">emptyTreeSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.treeSize</code> method given an empty tree (0 nodes added to the tree).</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithInputDuplicatesAddedToTree()">filledTreeWithInputDuplicatesAddedToTree</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.addNode</code> method given more than one input element with some values trying to add more than once.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithInputDuplicatesContainsValue()">filledTreeWithInputDuplicatesContainsValue</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.containsValue</code> method given a tree with more than one node with some values trying to add more than once.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithInputDuplicatesGetNodesAscending()">filledTreeWithInputDuplicatesGetNodesAscending</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.getNodesAscending</code> method given a tree with more than one node with some values trying to add more than once.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithInputDuplicatesGetNodesDescendingFromAscending()">filledTreeWithInputDuplicatesGetNodesDescendingFromAscending</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.getNodesDescending</code> method given a tree with more than one node with some values trying to add more than once.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithInputDuplicatesSize()">filledTreeWithInputDuplicatesSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.treeSize</code> method a given a tree with more than one node with some values trying to add more than once.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithoutInputDuplicatesAddedToTree()">filledTreeWithoutInputDuplicatesAddedToTree</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.addNode</code> method given more than one input element with each value added only once.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithoutInputDuplicatesContainsValue()">filledTreeWithoutInputDuplicatesContainsValue</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.containsValue</code> method given a tree with more than one node with each value added only once.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithoutInputDuplicatesGetNodesAscending()">filledTreeWithoutInputDuplicatesGetNodesAscending</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.getNodesAscending</code> method given a tree with each value added only once.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithoutInputDuplicatesGetNodesDescendingFromAscending()">filledTreeWithoutInputDuplicatesGetNodesDescendingFromAscending</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.getNodesDescending</code> method given a tree with more than one node with each value added only once.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filledTreeWithoutInputDuplicatesSize()">filledTreeWithoutInputDuplicatesSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.treeSize</code> method a given a tree with more than one node with each value added only once.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNodesDescending()">getNodesDescending</a></span>()</code></th>
<td class="colLast">
<div class="block">Method called after filling the tree with more than one value in <code>filledTreeWithInputDuplicatesGetNodesDescendingFromAscending</code> and <code>filledTreeWithoutInputDuplicatesGetNodesDescendingFromAscending</code> to get the string
 of node values in descending order from the string representing the values in ascending order therefore calling both <code>getNodesAscending</code> and <code>getNodesDescendingFromAscending</code>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#initializeHeadNode()">initializeHeadNode</a></span>()</code></th>
<td class="colLast">
<div class="block">tree's head node must be set to <code>null</code> in order to have an empty tree at the beginning</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#oneElementAddedToTree()">oneElementAddedToTree</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.addNode</code> method given one input element.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#oneElementInTreeContainsValue()">oneElementInTreeContainsValue</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.containsValue</code> method given a one-node tree.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#oneElementInTreeGetNodesAscending()">oneElementInTreeGetNodesAscending</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.getNodesAscending</code> method given a one-node tree.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#oneElementInTreeGetNodesDescendingFromAscending()">oneElementInTreeGetNodesDescendingFromAscending</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.getNodesDescending</code> method given given a one-node tree.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#oneElementInTreeSize()">oneElementInTreeSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Test for <code>UniqueNumbers.treeSize</code> method given a one-node tree (1 node added to the tree).</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setNodeWithDuplicates()">setNodeWithDuplicates</a></span>()</code></th>
<td class="colLast">
<div class="block">Method called to set tree nodes to particular values with some values trying to add more than once.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setNodeWithoutDuplicates()">setNodeWithoutDuplicates</a></span>()</code></th>
<td class="colLast">
<div class="block">Method called to set tree nodes to particular values with each value added only once.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="node">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>node</h4>
<pre>private&nbsp;<a href="UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a> node</pre>
<div class="block">tree's head node used in tests for further tree creation</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UniqueNumbersTest</h4>
<pre>public&nbsp;UniqueNumbersTest()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="initializeHeadNode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initializeHeadNode</h4>
<pre class="methodSignature">@BeforeEach
public&nbsp;void&nbsp;initializeHeadNode()</pre>
<div class="block">tree's head node must be set to <code>null</code> in order to have an empty tree at the beginning</div>
</li>
</ul>
<a id="oneElementAddedToTree()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>oneElementAddedToTree</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;oneElementAddedToTree()</pre>
<div class="block">Test for <code>UniqueNumbers.addNode</code> method given one input element.
 The result must be the tree with one node with value of the input value.</div>
</li>
</ul>
<a id="filledTreeWithInputDuplicatesAddedToTree()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithInputDuplicatesAddedToTree</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithInputDuplicatesAddedToTree()</pre>
<div class="block">Test for <code>UniqueNumbers.addNode</code> method given more than one input element with some values trying to add more than once.
 The result must be the tree with as many nodes as there are different input values (duplicates must not be added).</div>
</li>
</ul>
<a id="filledTreeWithoutInputDuplicatesAddedToTree()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithoutInputDuplicatesAddedToTree</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithoutInputDuplicatesAddedToTree()</pre>
<div class="block">Test for <code>UniqueNumbers.addNode</code> method given more than one input element with each value added only once.
 The result must be the tree with as many nodes as there are different input values (duplicates must not be added).</div>
</li>
</ul>
<a id="assertNodeValuesAsExpected()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertNodeValuesAsExpected</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;assertNodeValuesAsExpected()</pre>
<div class="block">Method called after filling the tree with more than one value in <code>filledTreeWithInputDuplicatesAddedToTree</code> and <code>filledTreeWithoutInputDuplicatesAddedToTree</code> to assert the statements which must be true.
 Specifically, all the correct values added to the tree must be present in it at their particular place.</div>
</li>
</ul>
<a id="emptyTreeSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptyTreeSize</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;emptyTreeSize()</pre>
<div class="block">Test for <code>UniqueNumbers.treeSize</code> method given an empty tree (0 nodes added to the tree).
 The result must be the tree with tree size of 0.</div>
</li>
</ul>
<a id="oneElementInTreeSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>oneElementInTreeSize</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;oneElementInTreeSize()</pre>
<div class="block">Test for <code>UniqueNumbers.treeSize</code> method given a one-node tree (1 node added to the tree).
 The result must be the tree with tree size of 1.</div>
</li>
</ul>
<a id="filledTreeWithInputDuplicatesSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithInputDuplicatesSize</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithInputDuplicatesSize()</pre>
<div class="block">Test for <code>UniqueNumbers.treeSize</code> method a given a tree with more than one node with some values trying to add more than once.
 The result must be the tree with tree size equal to the number of different numbers in its nodes.</div>
</li>
</ul>
<a id="filledTreeWithoutInputDuplicatesSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithoutInputDuplicatesSize</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithoutInputDuplicatesSize()</pre>
<div class="block">Test for <code>UniqueNumbers.treeSize</code> method a given a tree with more than one node with each value added only once.
 The result must be the tree with tree size equal to the number of different numbers in its nodes.</div>
</li>
</ul>
<a id="emptyTreeContainsValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptyTreeContainsValue</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;emptyTreeContainsValue()</pre>
<div class="block">Test for <code>UniqueNumbers.containsValue</code> method given an empty tree. 
 The result must be false because no elements are added to the tree.</div>
</li>
</ul>
<a id="oneElementInTreeContainsValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>oneElementInTreeContainsValue</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;oneElementInTreeContainsValue()</pre>
<div class="block">Test for <code>UniqueNumbers.containsValue</code> method given a one-node tree. 
 The result must be true for value contained in the tree, otherwise false.</div>
</li>
</ul>
<a id="filledTreeWithInputDuplicatesContainsValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithInputDuplicatesContainsValue</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithInputDuplicatesContainsValue()</pre>
<div class="block">Test for <code>UniqueNumbers.containsValue</code> method given a tree with more than one node with some values trying to add more than once. 
 The result must be true for values contained in the tree, otherwise false.</div>
</li>
</ul>
<a id="filledTreeWithoutInputDuplicatesContainsValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithoutInputDuplicatesContainsValue</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithoutInputDuplicatesContainsValue()</pre>
<div class="block">Test for <code>UniqueNumbers.containsValue</code> method given a tree with more than one node with each value added only once.
 The result must be true for values contained in the tree, otherwise false.</div>
</li>
</ul>
<a id="assertContainsValues()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertContainsValues</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;assertContainsValues()</pre>
<div class="block">Method called after filling the tree with more than one value in <code>filledTreeWithInputDuplicatesContainsValue</code> and <code>filledTreeWithoutInputDuplicatesContainsValue</code> to assert the statements which must be true.
 Specifically, all the values added to the tree must be present in it at their particular place while all the others must not be there.</div>
</li>
</ul>
<a id="emptyTreeGetNodesAscending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptyTreeGetNodesAscending</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;emptyTreeGetNodesAscending()</pre>
<div class="block">Test for <code>UniqueNumbers.getNodesAscending</code> method given an empty tree. 
 The result must be an empty string representing the empty tree.</div>
</li>
</ul>
<a id="oneElementInTreeGetNodesAscending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>oneElementInTreeGetNodesAscending</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;oneElementInTreeGetNodesAscending()</pre>
<div class="block">Test for <code>UniqueNumbers.getNodesAscending</code> method given a one-node tree. 
 The result must be a string containing that very value.</div>
</li>
</ul>
<a id="filledTreeWithInputDuplicatesGetNodesAscending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithInputDuplicatesGetNodesAscending</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithInputDuplicatesGetNodesAscending()</pre>
<div class="block">Test for <code>UniqueNumbers.getNodesAscending</code> method given a tree with more than one node with some values trying to add more than once. 
 The result must be a string containing the unique values in ascending order.</div>
</li>
</ul>
<a id="filledTreeWithoutInputDuplicatesGetNodesAscending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithoutInputDuplicatesGetNodesAscending</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithoutInputDuplicatesGetNodesAscending()</pre>
<div class="block">Test for <code>UniqueNumbers.getNodesAscending</code> method given a tree with each value added only once.
 The result must be a string containing the unique values in ascending order.</div>
</li>
</ul>
<a id="emptyTreeGetNodesDescendingFromAscending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptyTreeGetNodesDescendingFromAscending</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;emptyTreeGetNodesDescendingFromAscending()</pre>
<div class="block">Test for <code>UniqueNumbers.getNodesDescending</code> method given an empty tree. 
 The result must be an empty string representing the empty tree.</div>
</li>
</ul>
<a id="oneElementInTreeGetNodesDescendingFromAscending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>oneElementInTreeGetNodesDescendingFromAscending</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;oneElementInTreeGetNodesDescendingFromAscending()</pre>
<div class="block">Test for <code>UniqueNumbers.getNodesDescending</code> method given given a one-node tree.
 The result must be a string containing that very value.</div>
</li>
</ul>
<a id="filledTreeWithInputDuplicatesGetNodesDescendingFromAscending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithInputDuplicatesGetNodesDescendingFromAscending</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithInputDuplicatesGetNodesDescendingFromAscending()</pre>
<div class="block">Test for <code>UniqueNumbers.getNodesDescending</code> method given a tree with more than one node with some values trying to add more than once.
 The result must be a string containing the unique values in descending order.</div>
</li>
</ul>
<a id="filledTreeWithoutInputDuplicatesGetNodesDescendingFromAscending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filledTreeWithoutInputDuplicatesGetNodesDescendingFromAscending</h4>
<pre class="methodSignature">@Test
public&nbsp;void&nbsp;filledTreeWithoutInputDuplicatesGetNodesDescendingFromAscending()</pre>
<div class="block">Test for <code>UniqueNumbers.getNodesDescending</code> method given a tree with more than one node with each value added only once.
 The result must be a string containing the unique values in descending order.</div>
</li>
</ul>
<a id="getNodesDescending()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodesDescending</h4>
<pre class="methodSignature">private&nbsp;java.lang.String&nbsp;getNodesDescending()</pre>
<div class="block">Method called after filling the tree with more than one value in <code>filledTreeWithInputDuplicatesGetNodesDescendingFromAscending</code> and <code>filledTreeWithoutInputDuplicatesGetNodesDescendingFromAscending</code> to get the string
 of node values in descending order from the string representing the values in ascending order therefore calling both <code>getNodesAscending</code> and <code>getNodesDescendingFromAscending</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string representing values from tree nodes in descending order</dd>
</dl>
</li>
</ul>
<a id="setNodeWithDuplicates()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNodeWithDuplicates</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;setNodeWithDuplicates()</pre>
<div class="block">Method called to set tree nodes to particular values with some values trying to add more than once.
 The result must be, however, a tree with all the values appearing only once.</div>
</li>
</ul>
<a id="setNodeWithoutDuplicates()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setNodeWithoutDuplicates</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;setNodeWithoutDuplicates()</pre>
<div class="block">Method called to set tree nodes to particular values with each value added only once.
 The result is a tree with all the values appearing only once.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UniqueNumbersTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
